Subject: Re: [BUG] overflow in net/ipv4/route.c rt_check_expire()

From: "David S. Miller" <[email-masked]>
Date: Fri, 1 Apr 2005 12:28:02 -0800

On Fri, 01 Apr 2005 16:39:48 +0200
Eric Dumazet <[email-masked]> wrote:

> > If spinlock_t is a zero sized structure on UP, how can this save memory
> > on UP? :-)
> 
> Because I deleted the  __attribute__((__aligned__(8))) constraint on struct rt_hash_bucket.

Right.

> > Anyways, I think perhaps you should dynamically allocate this lock table.
> 
> Maybe I should make a static sizing, (replace the 256 constant by something based on MAX_CPUS) ?

Even for NR_CPUS, I think the table should be dynamically allocated.

It is a goal to eliminate all of these huge arrays in the static
kernel image, which has grown incredibly too much in recent times.
I work often to eliminate such things, let's not add new ones :-)